/*
 * @Company: hugeInfo
 * @Author: lwh
 * @Date: 2022-08-09 09:38:59
 * @LastEditTime: 2022-08-20 20:32:31
 * @LastEditors: ldh
 * @Version: 1.0.0
 * @Description: 底部弹窗操作区
 */
import React from 'react';
import { CloseOutlined } from 'dd-icons';
import MyModal from '../MyModal';
import './index.less';

const ModalMinDown = ({ title, visible, list, onClose, onClickAction }) => {
	return (
		<MyModal visible={visible} bottom onClose={onClose}>
			<div className="modalMinDown-header">
				<div className="modalMinDown-header-title">{title || '标题'}</div>
				<div className="modalMinDown-header-close" onClick={onClose}>
					<CloseOutlined />
				</div>
			</div>
			<div className="modalMinDown-main">
				{list.map((x, t) => {
					return (
						<div className="modalMinDown-main-item" key={t} onClick={() => onClickAction(x)}>
							<div className="modalMinDown-main-item-icon">
								<img className="modalMinDown-main-item-icon-img" src={x.img} alt="" />
							</div>
							<div className="modalMinDown-main-item-text">{x.title}</div>
						</div>
					);
				})}
			</div>
		</MyModal>
	);
};

export default ModalMinDown;
